summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-09-17 09:56:42 +0200
committerLars Wendler <polynomial-c@gentoo.org>2018-09-17 09:56:42 +0200
commitd33ea761e24053b6c17ec3dfd0229d6c793f330d (patch)
treea031cd068e9997a2ab5be50f939b899bf4dba9c7 /sys-apps/dmidecode
parentbsdmk.eclass: Add verbose output of bmake calls (diff)
downloadgentoo-d33ea761e24053b6c17ec3dfd0229d6c793f330d.tar.gz
gentoo-d33ea761e24053b6c17ec3dfd0229d6c793f330d.tar.bz2
gentoo-d33ea761e24053b6c17ec3dfd0229d6c793f330d.zip
sys-apps/dmidecode: Bump to version 3.2
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Diffstat (limited to 'sys-apps/dmidecode')
-rw-r--r--sys-apps/dmidecode/Manifest1
-rw-r--r--sys-apps/dmidecode/dmidecode-3.2.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/sys-apps/dmidecode/Manifest b/sys-apps/dmidecode/Manifest
index aac071b4c3d..0dbdb951ec6 100644
--- a/sys-apps/dmidecode/Manifest
+++ b/sys-apps/dmidecode/Manifest
@@ -1 +1,2 @@
DIST dmidecode-3.1.tar.xz 61204 BLAKE2B 439e265dd3f7b225d61b5d4228c0a77b25dd44b5d3672fdd9bbe432f5ae59ac23d2abd80e40621cda934643c9819b05f34d4f5befc8a75b93ae1840caf717cea SHA512 226557ad5747a2a2eb54a938543373b9ddcff032d330ca3b9a066cc81c0e137028f606ffedc042e0220b523346e2f2f7abb0e4b8b34a8bd173719aa858519de9
+DIST dmidecode-3.2.tar.xz 54440 BLAKE2B ff5b891b28231bc50657e6fe1fa1345171109ce9baf7fa4558ced482a0616be4206ef69dcf3909611475d543b12691cc2bfe4849d8e3d35b34d1bfffe600af21 SHA512 b080c73fbda756109f0f29935c641e0b32ea9ffe90f0a8254164c9c1ff5617d042347298e6bac31e5463e94fa56efe2b2743238156d878254fc77120e6dc1a18
diff --git a/sys-apps/dmidecode/dmidecode-3.2.ebuild b/sys-apps/dmidecode/dmidecode-3.2.ebuild
new file mode 100644
index 00000000000..3d98eebf5a0
--- /dev/null
+++ b/sys-apps/dmidecode/dmidecode-3.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="DMI (Desktop Management Interface) table related utilities"
+HOMEPAGE="https://www.nongnu.org/dmidecode/"
+SRC_URI="https://savannah.nongnu.org/download/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-solaris"
+IUSE="selinux"
+
+RDEPEND="selinux? ( sec-policy/selinux-dmidecode )"
+DEPEND=""
+
+src_prepare() {
+ default
+ sed -i \
+ -e "/^prefix/s:/usr/local:${EPREFIX}/usr:" \
+ -e "/^docdir/s:dmidecode:${PF}:" \
+ -e '/^PROGRAMS !=/d' \
+ Makefile || die
+}
+
+src_compile() {
+ emake \
+ CFLAGS="${CFLAGS} ${CPPFLAGS}" \
+ LDFLAGS="${LDFLAGS}" \
+ CC="$(tc-getCC)"
+}
+
+pkg_postinst() {
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ einfo "dmidecode needs root privileges to read /dev/xsvc"
+ einfo "To make dmidecode useful, either run as root, or chown and setuid the binary."
+ einfo "Note that /usr/sbin/ptrconf and /usr/sbin/ptrdiag give similar"
+ einfo "information without requiring root privileges."
+ fi
+}